{
	"info": {
		"_postman_id": "3c369f39-0acf-49d5-ac07-95b84231f057",
		"name": "Venus",
		"schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json",
		"_exporter_id": "14071400",
		"_collection_link": "https://self-service-apache-fineract.postman.co/workspace/Self-Service-Apache-Fineract-Wo~fd9611af-6675-4a5c-aa70-e3b7f69835d1/collection/14071400-3c369f39-0acf-49d5-ac07-95b84231f057?action=share&source=collection_link&creator=14071400"
	},
	"item": [
		{
			"name": "Mobile-Wallet",
			"item": [
				{
					"name": "Verify Authentication",
					"request": {
						"auth": {
							"type": "noauth"
						},
						"method": "POST",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n    \"password\": \"{{password}}\",\n    \"username\": \"{{username}}\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/authentication",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"authentication"
							]
						}
					},
					"response": []
				},
				{
					"name": "Update User",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "Venus2023#",
									"type": "string"
								},
								{
									"key": "username",
									"value": "venus",
									"type": "string"
								}
							]
						},
						"method": "PUT",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n    \"password\": \"@Venus@2025@\",\n    \"repeatPassword\": \"@Venus@2025@\"\n}"
						},
						"url": {
							"raw": "{{base_url}}/user",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"user"
							]
						}
					},
					"response": []
				},
				{
					"name": "List Clients",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/clients",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"clients"
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrive a Client",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/clients/2",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"clients",
								"2"
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve client accounts overview",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								},
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/clients/2/accounts",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"clients",
								"2",
								"accounts"
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve Client Image",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/clients/2/images",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"clients",
								"2",
								"images"
							]
						}
					},
					"response": []
				},
				{
					"name": "List Client Charges",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/clients/2/charges",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"clients",
								"2",
								"charges"
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve a Client Charge",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/clients/2/charges/1",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"clients",
								"2",
								"charges",
								"1"
							]
						}
					},
					"response": []
				},
				{
					"name": "List Client Transactions",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/clients/2/transactions",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"clients",
								"2",
								"transactions"
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve a Client Transaction",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/clients/2/transactions/1",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"clients",
								"2",
								"transactions",
								"1"
							]
						}
					},
					"response": []
				},
				{
					"name": "Upload client image (Data URI)",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "text/plain",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "data:image/png;base64,[encoded data, 86952 characters]",
							"options": {
								"raw": {
									"language": "text"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/clients/2/images",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"clients",
								"2",
								"images"
							]
						}
					},
					"response": []
				},
				{
					"name": "Upload client image (Multi-part Form data)",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "formdata",
							"formdata": [
								{
									"key": "file",
									"type": "file",
									"src": "_UkgP7fx4/mifos.png"
								}
							]
						},
						"url": {
							"raw": "{{base_url}}/clients/2/images",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"clients",
								"2",
								"images"
							]
						}
					},
					"response": []
				},
				{
					"name": "Delete an client's Image",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "DELETE",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/clients/2/images",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"clients",
								"2",
								"images"
							]
						}
					},
					"response": []
				},
				{
					"name": "List Loan Products",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/loanproducts?clientId=2",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"loanproducts"
							],
							"query": [
								{
									"key": "clientId",
									"value": "2"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve a Loan Product",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/loanproducts/1?clientId=2",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"loanproducts",
								"1"
							],
							"query": [
								{
									"key": "clientId",
									"value": "2"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "List Savings Products",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/savingsproducts?clientId=2",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"savingsproducts"
							],
							"query": [
								{
									"key": "clientId",
									"value": "2"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve a Savings Product",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/savingsproducts/1?clientId=2",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"savingsproducts",
								"1"
							],
							"query": [
								{
									"key": "clientId",
									"value": "2"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "List Share Products",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/products/share?clientId=2",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"products",
								"share"
							],
							"query": [
								{
									"key": "clientId",
									"value": "2"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve a Share Product",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/products/share/1?clientId=2",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"products",
								"share",
								"1"
							],
							"query": [
								{
									"key": "clientId",
									"value": "2"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Loan Application Template (Retrieve Loan Details Template)",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/loans/template?templateType=individual&clientId=2",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"loans",
								"template"
							],
							"query": [
								{
									"key": "templateType",
									"value": "individual"
								},
								{
									"key": "clientId",
									"value": "2"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Calculate Loan Repayment Schedule",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n  \"clientId\": 2, // Required\n  \"loanType\": \"individual\", // Required\n  \"submittedOnDate\": \"28 July 2024\", // Required\n  \"transactionProcessingStrategyCode\": \"mifos-standard-strategy\", // Required\n  \"dateFormat\": \"dd MMMM yyyy\",\n  \"locale\": \"en_GB\",\n  \"productId\": 1,\n  \"principal\": \"100000.00\",\n  \"loanTermFrequency\": 12,\n  \"loanTermFrequencyType\": 2,\n  \"numberOfRepayments\": 12,\n  \"repaymentEvery\": 1,\n  \"repaymentFrequencyType\": 2,\n  \"interestRatePerPeriod\": 5, // between 3.0 and 7.0\n  \"amortizationType\": 1,\n  \"interestType\": 0,\n  \"interestCalculationPeriodType\": 1,\n  \"expectedDisbursementDate\": \"29 July 2024\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/loans?command=calculateLoanSchedule",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"loans"
							],
							"query": [
								{
									"key": "command",
									"value": "calculateLoanSchedule"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Submit a new Loan Application",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n  \"transactionProcessingStrategyCode\": \"mifos-standard-strategy\", // Required\n  \"dateFormat\": \"dd MMMM yyyy\",\n  \"locale\": \"en_GB\",\n  \"clientId\": 2,\n  \"productId\": 1,\n  \"principal\": \"100000.00\",\n  \"loanTermFrequency\": 12,\n  \"loanTermFrequencyType\": 2,\n  \"loanType\": \"individual\",\n  \"numberOfRepayments\": 12,\n  \"repaymentEvery\": 1,\n  \"repaymentFrequencyType\": 2,\n  \"interestRatePerPeriod\": 5.0,\n  \"amortizationType\": 1,\n  \"interestType\": 0,\n  \"interestCalculationPeriodType\": 1,\n  \"expectedDisbursementDate\": \"30 July 2023\",\n  \"submittedOnDate\": \"29 July 2023\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/loans",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"loans"
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve a Loan",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/loans/1",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"loans",
								"1"
							]
						}
					},
					"response": []
				},
				{
					"name": "Update a Loan Application",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								},
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								}
							]
						},
						"method": "PUT",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n  \"loanType\": \"individual\", // Required\n  \"locale\": \"en\",\n  \"dateFormat\": \"dd MMMM yyyy\",\n  \"productId\": 1,\n  \"principal\": \"5000\",\n  \"loanTermFrequency\": 10,\n  \"loanTermFrequencyType\": 0,\n  \"numberOfRepayments\": 10,\n  \"repaymentEvery\": 1,\n  \"repaymentFrequencyType\": 0,\n  \"interestRatePerPeriod\": 4.0, // amount must be between 3.0 and 7.0\n  \"interestType\": 0,\n  \"interestCalculationPeriodType\": 0,\n  \"amortizationType\": 1,\n  \"expectedDisbursementDate\": \"04 March 2025\",\n  \"transactionProcessingStrategyCode\": \"mifos-standard-strategy\" // Required\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/loans/1",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"loans",
								"1"
							]
						}
					},
					"response": []
				},
				{
					"name": "Applicant Withdraws from Loan Application",
					"protocolProfileBehavior": {
						"disableBodyPruning": true
					},
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n  \"locale\": \"en\",\n  \"dateFormat\": \"dd MMMM yyyy\",\n  \"withdrawnOnDate\": \"26 June 2025\",\n  \"note\": \"User chose to cancel the loan request\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/loans/1?command=withdrawnByApplicant",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"loans",
								"1"
							],
							"query": [
								{
									"key": "command",
									"value": "withdrawnByApplicant"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve a Loan Transaction Details",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/loans/1/transactions/1",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"loans",
								"1",
								"transactions",
								"1"
							]
						}
					},
					"response": []
				},
				{
					"name": "List Loan Charges",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/loans/1/charges",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"loans",
								"1",
								"charges"
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve a Loan Charge Details",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/loans/1/charges/1",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"loans",
								"1",
								"charges",
								"1"
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve Savings Application Template(Retrieve Savings Account Template)",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/savingsaccounts/template?clientId=2",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"savingsaccounts",
								"template"
							],
							"query": [
								{
									"key": "clientId",
									"value": "2"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Submit new savings application",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n  \"productId\": 1,\n  \"clientId\": \"2\",\n  \"locale\": \"en\",\n  \"dateFormat\": \"dd MMMM yyyy\",\n  \"submittedOnDate\": \"26 June 2025\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/savingsaccounts",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"savingsaccounts"
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve a savings account",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/savingsaccounts/1",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"savingsaccounts",
								"1"
							]
						}
					},
					"response": []
				},
				{
					"name": "Update Savings Account (Modify a savings application)",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "PUT",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n  // The savings application must be in \"Submitted and pending approval\" state — it cannot be already approved\n  \"productId\": 1,\n  \"clientId\": 2\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/savingsaccounts/114",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"savingsaccounts",
								"114"
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve a Savings Transaction Details (Retrieve Savings Account Transaction)",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/savingsaccounts/1/transactions/1",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"savingsaccounts",
								"1",
								"transactions",
								"1"
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve Savings Charges (List Savings Charges)",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/savingsaccounts/1/charges",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"savingsaccounts",
								"1",
								"charges"
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve a Savings Charge Details (Retrieve a Savings account Charge)",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/savingsaccounts/1/charges/1",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"savingsaccounts",
								"1",
								"charges",
								"1"
							]
						}
					},
					"response": []
				},
				{
					"name": "Share Accounts Template (Retrieve Share Account Template)",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/shareaccounts/template?clientId=2",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"shareaccounts",
								"template"
							],
							"query": [
								{
									"key": "clientId",
									"value": "2"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Submit new share application",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n  \"productId\": 1,\n  \"unitPrice\": 1,\n  \"requestedShares\": 500,\n  \"submittedDate\": \"26 June 2025\",\n  \"savingsAccountId\": 2,\n  \"applicationDate\": \"26 June 2025\",\n  \"locale\": \"en\",\n  \"dateFormat\": \"dd MMMM yyyy\",\n  \"charges\": [\n    {\n      \"chargeId\": 2,\n      \"amount\": 2\n    }\n  ],\n  \"clientId\": \"2\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/shareaccounts",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"shareaccounts"
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve a share application/account",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/shareaccounts/1",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"shareaccounts",
								"1"
							]
						}
					},
					"response": []
				},
				{
					"name": "Account Transfer Template (Retrieve Account Transfer Template)",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/accounttransfers/template",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"accounttransfers",
								"template"
							]
						}
					},
					"response": []
				},
				{
					"name": "Account Transfer (Create new Transfer)",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{ \n  // only transfer between accounts belonging to the authenticated client\n  \"fromOfficeId\": 1,\n  \"fromClientId\": 2,\n  \"fromAccountType\": 2,\n  \"fromAccountId\": 1,\n  \"toOfficeId\": 1,\n  \"toClientId\": 2,\n  \"toAccountType\": 2,\n  \"toAccountId\": 8,\n  \"dateFormat\": \"dd MMMM yyyy\",\n  \"locale\": \"en\",\n  \"transferDate\": \"26 June 2025\",\n  \"transferAmount\": \"10.00\",\n  \"transferDescription\": \"Wallet transfer\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/accounttransfers",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"accounttransfers"
							]
						}
					},
					"response": []
				},
				{
					"name": "Beneficiary TPT Template (Beneficiary Third Party Transfer Template)\t",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/beneficiaries/tpt/template",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"beneficiaries",
								"tpt",
								"template"
							]
						}
					},
					"response": []
				},
				{
					"name": "Add TPT Beneficiary",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n//   beneficiary name can be anything\n  \"locale\": \"en_GB\",\n  \"name\": \"beneficiary_hekmat\",\n  \"officeName\": \"Head Office\",\n  \"accountNumber\": \"000000008\",\n  \"accountType\": 2,\n  \"transferLimit\": 100\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/beneficiaries/tpt",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"beneficiaries",
								"tpt"
							]
						}
					},
					"response": []
				},
				{
					"name": "Get TPT Beneficiary List (Get All TPT Beneficiary)",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/beneficiaries/tpt",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"beneficiaries",
								"tpt"
							]
						}
					},
					"response": []
				},
				{
					"name": "Update TPT Beneficiary",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "PUT",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n\t\"name\": \"Elon Musk\",\n\t\"transferLimit\": 1000\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/beneficiaries/tpt/12",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"beneficiaries",
								"tpt",
								"12"
							]
						}
					},
					"response": []
				},
				{
					"name": "Delete TPT Beneficiary",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "DELETE",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/beneficiaries/tpt/12",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"beneficiaries",
								"tpt",
								"12"
							]
						}
					},
					"response": []
				},
				{
					"name": "Third Party Account Transfer Template",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/accounttransfers/template?type=tpt",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"accounttransfers",
								"template"
							],
							"query": [
								{
									"key": "type",
									"value": "tpt"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Third Party Account Transfer",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n  \"fromOfficeId\": 1,\n  \"fromClientId\": 2,\n  \"fromAccountType\": 2,\n  \"fromAccountId\": 1,\n  \"toOfficeId\": 1,\n  \"toClientId\": 2,\n  \"toAccountType\": 2,\n  \"toAccountId\": 8,\n  \"dateFormat\": \"dd MMMM yyyy\",\n  \"locale\": \"en\",\n  \"transferDate\": \"26 June 2025\",\n  \"transferAmount\": \"20.00\",\n  \"transferDescription\": \"Transfer from acct 000000001 to 000000008\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/accounttransfers?type=tpt",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"accounttransfers"
							],
							"query": [
								{
									"key": "type",
									"value": "tpt"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Guarantors list",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/loans/1/guarantors",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"loans",
								"1",
								"guarantors"
							]
						}
					},
					"response": []
				},
				{
					"name": "Obligee List",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/clients/2/obligeedetails",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"clients",
								"2",
								"obligeedetails"
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve Active Surveys",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/surveys?isActive=true",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"surveys"
							],
							"query": [
								{
									"key": "isActive",
									"value": "true"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Survey Scorecards (Retrieve Survey records)\t",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/surveys/scorecards/clients/2",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"surveys",
								"scorecards",
								"clients",
								"2"
							]
						}
					},
					"response": []
				},
				{
					"name": "Take Survey (Submit Survey)",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/surveys/scorecards/1",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"surveys",
								"scorecards",
								"1"
							]
						}
					},
					"response": []
				},
				{
					"name": "Link accounts to pocket",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n  \"accountsDetail\": [\n    {\n      \"accountId\": \"1\",\n      \"accountType\": \"LOAN\"\n    },\n    {\n      \"accountId\": \"8\",\n      \"accountType\": \"SAVINGS\"\n    }\n  ]\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/pockets?command=linkAccounts",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"pockets"
							],
							"query": [
								{
									"key": "command",
									"value": "linkAccounts"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Delink accounts from pocket",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n  \"pocketAccountMappingIds\": [3,4]\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base_url}}/pockets?command=delinkAccounts",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"pockets"
							],
							"query": [
								{
									"key": "command",
									"value": "delinkAccounts"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "Retrieve accounts linked to pocket",
					"request": {
						"auth": {
							"type": "basic",
							"basic": [
								{
									"key": "password",
									"value": "{{password}}",
									"type": "string"
								},
								{
									"key": "username",
									"value": "{{username}}",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Fineract-Platform-TenantId",
								"value": "{{tenant_value}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{base_url}}/pockets",
							"host": [
								"{{base_url}}"
							],
							"path": [
								"pockets"
							]
						}
					},
					"response": []
				}
			]
		}
	]
}